#!/bin/sh
# -- BEGIN COPYRIGHT --
# IBM SecureWay Firewall Version 4.2
# Licensed Materials - Property of IBM
#
# 5697-F59
#
# (C) Copyright IBM Corp. 1985, 1994, 1999 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -- END COPYRIGHT --

#
# Program File: coreprocess-nt.sh
#

eval daemon=\""$1"\"
#echo '#Application: '"$daemon"
case "$daemon" in
        */*)    pat=`echo "$daemon" | sed -e s@/@.@g`;;
        *)      pat="$daemon";;
esac

ntprocinfo | awk '
BEGIN {VALUE="down"; INSTANCE=0}
/'"$pat"'/ {
        field=2;
        cmd=$field
        if (cmd != "Name" || INSTANCE != 0)
        {
                if (cmd == "'"$daemon"'") {
                        VALUE="up";
                        ++INSTANCE;
                        next;
                }
                nfn = split(cmd, fn, "/")
                if (fn[nfn] == "'"$daemon"'" || fn[nfn] == "('"$daemon"')")
                        VALUE="up";
        }
        ++INSTANCE;
}
END {print VALUE;}'

exit 0
